Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::DisplayManager Class Reference

A GdkDisplayManager C++ wrapper class. More...

`#include <inti/gdk/displaymanager.h>`

Inheritance diagram for Inti::Gdk::DisplayManager:

List of all members.

## Public Member Functions

Constructors

- virtual ~DisplayManager ()
    Destructor.

Accessors

- GdkDisplayManager * gdk_display_manager () const
    Get a pointer to the GdkDisplayManager structure.
- GdkDisplayManagerClass * gdk_display_manager_class () const
    Get a pointer to the GdkDisplayManagerClass structure.
- operator GdkDisplayManager * () const
    Conversion operator; safely converts a DisplayManager to a GdkDisplayManager pointer.
- Display * get_default_display () const
    Gets the default Display.
- bool list_displays (std::vector< Display * > &displays) const
    List all currently open displays.

Methods

- void set_default_display (const Display &display)
    Sets display as the default display.

Property Proxies

- const DefaultDisplayPropertyProxy prop_default_display ()
    The default Display (Display* : Read / Write).

Signal Proxies

- const DisplayOpenedSignalProxy sig_display_opened ()
    Connect to the display_opened_signal; emitted when a Display is opened.

## Static Public Member Functions

- DisplayManager * get ()
    Returns the global DisplayManager singleton object.

## Protected Member Functions

Constructors

- DisplayManager (GdkDisplayManager *display_manager, bool reference=true)
    Construct a new DisplayManager from an existing GdkDisplayManager.

Signal Handlers

- virtual void on_display_opened (Display &display)
    Called when a display is opened.

## Detailed Description

A GdkDisplayManager C++ wrapper class.

The purpose of the DisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

Inti::Gdk::DisplayManager::DisplayManager | ( | GdkDisplayManager * | display_manager,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new DisplayManager from an existing GdkDisplayManager. Parameters:
  display_manager | A pointer to a GdkDisplayManager.
  reference | Set false if the initial reference count is floating, set true if it's not.
The display_manager can be a newly created GdkDisplayManager or an existing GdkDisplayManager. (see G::Object::Object).

## Member Function Documentation

Display* Inti::Gdk::DisplayManager::get_default_display | ( |  | ) | const

| Gets the default Display. Returns: A Display, or null if there is no default display.

bool Inti::Gdk::DisplayManager::list_displays | ( | std::vector< Display * > & | displays | ) | const

  | List all currently open displays. Parameters:
  displays | A reference to a vector of Display* to hold the list of opened displays.
Returns: true if the vector is not empty.

virtual void Inti::Gdk::DisplayManager::on_display_opened | ( | Display & | display | ) | `[protected, virtual]`

  | Called when a display is opened. Parameters:
  display | The Display being opened.

void Inti::Gdk::DisplayManager::set_default_display | ( | const Display & | display | ) |

  | Sets display as the default display. Parameters:
  display | A Display.

The documentation for this class was generated from the following file:

- displaymanager.h

Main Page - Footer